package de.intevation.gnv.math;

import java.io.Serializable;

import java.util.Comparator;

/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public class HeightValue
implements   Serializable
{
    public static final Comparator INV_Z_COMPARATOR = new Comparator() {
        public int compare(Object a, Object b) {
            HeightValue ha = (HeightValue)a;
            HeightValue hb = (HeightValue)b;
            if (ha.z > hb.z) return -1;
            if (ha.z < hb.z) return +1;
            return 0;
        }
    };

    public double z;
    public double v;
    public int    k;

    public HeightValue(double z, double v, int k) {
        this.z = z;
        this.v = v;
        this.k = k;
    }

    public double getZ() {
        return z;
    }

    public double getV() {
        return v;
    }

    public double getK() {
        return k;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
